# Interface JdiDefaultExecutionControl.JdiStarter

Enclosing class:
  `JdiDefaultExecutionControl`

public static interface JdiDefaultExecutionControl.JdiStarter
Start an external process where the user's snippets can be run.

Since:
  22

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static final record`
`JdiDefaultExecutionControl.JdiStarter.TargetDescription`
The description of a started external process.

## Method Summary

Modifier and Type
Method
Description
`JdiDefaultExecutionControl.JdiStarter.TargetDescription`
`start(ExecutionEnv env, Map<String,String> parameters, int port)`
Start the external process based on the given parameters.

## Method Details

### start

JdiDefaultExecutionControl.JdiStarter.TargetDescription start(ExecutionEnv env, Map<String,String> parameters, int port)
Start the external process based on the given parameters. The external process should connect to the given `port` to communicate with the driving instance of JShell.

Parameters:
  `env` - the execution context
  `parameters` - additional execution parameters
  `port` - the port to which the remote process should connect
Returns:
  a description of the started external process
Throws:
  `RuntimeException` - if the process cannot be started
  `Error` - if the process cannot be started